using BeWo.Report;
using BeWo.Report.ReportObjects;

namespace BeWo.VibbEssenReports
{
    public partial class Leistungen : DevExpress.XtraReports.UI.XtraReport, IBeWoReport<ServiceRecordListRO>
    {
        public Leistungen()
        {
            InitializeComponent();
        }

        public void SetReportDataSource(ServiceRecordListRO pRO)
        {
	        if (pRO.ServiceRecordDetailList != null)
	        {
		        pRO.ServiceRecordDetailList.Sort((s1, s2) => s2.Start.Value.CompareTo(s1.Start.Value));
	        }
            bindingSource1.DataSource = pRO;
        }
    }
}
